# $Id: config.rb,v 1.2 2004/02/04 21:56:32 brailsmt Exp $

require 'events'
require 'actions'

include Kahakai

def current_screen
  return Kahakai::Kahakai.Instance.script_current_screen;
end

puts "*" * 40
puts "Loading config.rb".center(40)
puts "*" * 40

$ka = Kahakai::Kahakai.Instance
puts $ka
puts current_screen

def test_ruby_screen_function
	puts "I worked!"
end

def screenAction(ev, func)
	puts "Adding a screen action"
	action = Action.new

	ev.set(action)

	
	action.rootfunc = process_function(func, 'screen')
	action.param = ""

	current_screen.config.rootacts.push(action)
end

#               Event           , Function
screenAction(KeyPress.new("a"), proc { 'test_ruby_screen_function' })

current_screen.config.rootacts.each { |action|
	puts action.type
	puts action.rootfunc
}
