/* $Id: Action.hh,v 1.4 2003/09/11 22:42:21 faugn Exp $ */

/**
 * @file   Action.hh
 * @date   16-Jun-2003
 *
 * @brief  KaAction class
 *
 */

#ifndef __Action_hh
#define __Action_hh

#include "Types.hh"

#ifdef    TIME_WITH_SYS_TIME
#  include <sys/time.h>
#  include <time.h>
#else // !TIME_WITH_SYS_TIME
#  ifdef    HAVE_SYS_TIME_H
#    include <sys/time.h>
#  else // !HAVE_SYS_TIME_H
#    include <time.h>
#  endif // HAVE_SYS_TIME_H
#endif // TIME_WITH_SYS_TIME

#include <string>
#include <vector>

using std::string;

class KaAction {
public:
    WindowFunction*  winfunc;
    WindowFunction*  winfunc2;
    ScreenFunction*  rootfunc;
    MenuFunction*    menufunc;
    char*       exec;
    char*       param;
    unsigned int type, detail, mod, nmod;
    bool replay;
    struct timeval delay;
    std::vector<int> *delay_breaks;
};

#endif
