/* $Id: Functions.cc,v 1.6 2004/02/02 21:47:25 brailsmt Exp $ */

/**
 * @file   Functions.cc
 * @date   06-Jun-2003
 *
 * @brief Implementation of *Function family of function objects (functors)
 *
 */

#include "Functions.hh"
#include "Window.hh"
#include "Menu.hh"
#include "MenuItem.hh"


void ScreenFunction::operator()(KaMenuItem* item, XEvent* event, KaAction* action) {
	(*this)(item->menu->kascreen, event, action);
}

void ScreenFunction::operator()(KaWindow* window, XEvent* event, KaAction* action) {
	(*this) (window->kascreen, event, action);
}   
