# $Id: actions.rb,v 1.3 2004/02/04 21:53:27 brailsmt Exp $

#Add a simple little print method to inform us whenever a new method is added to the Kahakai module
module Kahakai
	class Kahakai
		def Kahakai.add_method(name, &procedure)
			define_method(name.to_sym) &procedure
		end
	end
end

$function_classes = {
	'menu' => Kahakai::RubyMenuFunction,
	'window' => Kahakai::RubyWindowFunction,
	'screen' => Kahakai::RubyScreenFunction,
}

def get_function_class(cls)
	return $function_classes[cls] if $function_classes.has_key? cls
	nil
end

def process_function(function, function_class=nil)
	func_cls = get_function_class(function_class)
	unless func_cls == nil
		if function.is_a? String 
			name = "#{function_class.capitalize}Ev#{function}"
			screen_name = "ScreenEv#{function}"

			if $ka.methods.include? name
				return $ka.method(name.to_sym)
			elsif $ka.methods.include? screen_name
				return $ka.method(screen_name.to_sym)
			else
				#error stuff here
			end
		elsif function.is_a? Proc or function.is_a? Method
			return createScreenFunction(function)
		else
			#error stuff here
		end
	end
end
