/* $Id: DesktopMenu.hh,v 1.1 2004/01/18 20:58:19 pervago Exp $ */
 
/**
 * @file   DesktopMenu.hh
 * @author 
 * @date   Sun Jan  4 19:41:34 2004
 * 
 * @brief Menu listing all desktops except the current one and
 * allowing either going to a desktop or joining/parting/sending to of
 * current window.
 * 
 * 
 */

#ifndef __DesktopMenu_hh
#define __DesktopMenu_hh

#include "Types.hh"
#include "Menu.hh"

class DesktopMenu : public KaMenu {
public:
    DesktopMenu(WindowFunction* function, char * name, bool isPart=false);

    void Build(KaScreen *, Window=0);
private:
    WindowFunction* function;
    bool isPart;
};

#endif // __DesktopMenu_hh
