/* $Id: SimpleMatch.hh,v 1.3 2003/12/01 00:18:17 pervago Exp $ */

/**
 * @file   SimpleMatch.hh
 * @date   3 Nov 2003
 *
 * @brief Class for simple string matching with ^ and $.
 *
 */
#ifndef __SimpleMatch_hh
#define __SimpleMatch_hh

#include "Types.hh"

#include <string>

class SimpleMatch {
public:
    SimpleMatch(std::string the_pattern);
    bool matches(std::string input);

    std::string pattern;
    bool match_front;
    bool match_back;
};

#endif
