/*
** Classes.hh
**
** Made by (Benot PIERRE)
** Login   <pierre_b@epita.fr>
*/

#ifndef CLASSES_HH
# define CLASSES_HH

# ifdef HAVE_CONFIG_H
#  include "config.h"
# endif

class Desktop;
class Dockapp;
class DockappHandler;
class EventHandler;
class ExpressionEvaluator;
class FrameGeometry;
class Function;
class ImColor;
class ImageControl;
class Interrupt;
class InvalidFile;
class InvalidFileType;
class KaAction;
class KaChildWindow;
class KaColor;
class KaFont;
class KaImageControl;
class KaMenu;
class KaMenuItem;
class KaScreen;
class KaWindow;
class KaWindowButton;
class KaWindowFrame;
class KaWindowGrip;
class KaWindowHandle;
class KaWindowLabel;
class Kahakai;
class KahakaiException;
class MReq;
class MenuFunction;
class MenuLoader;
class MoveFrameGeometry;
class NetHandler;
class NetHandler;
class NewStyleLoader;
class PythonScript;
class ResizeFrameGeometry;
class ResourceHandler;
class RubyScript;
class ScreenEdge;
class ScreenEdgeManager;
class ScreenFunction;
class Script;
class ScriptFactory;
class SimpleFunction;
class SimpleMatch;
class StyleLoader;
class SystrayWindow;
class Texture;
class Timer;
class TitleBar;
class WindowAttributes;
class WindowFrameGeometry;
class WindowFunction;
class WindowMenu;
class WindowObject;
class XrmStyleLoader;

struct ButtonStateStyle;
struct ButtonStyle;
struct EventDetail;
struct DockStyle;
struct Style;
struct WMstrut;

#endif // !CLASSES_HH
