/* $Id: XrmStyleLoader.hh,v 1.2 2003/09/11 22:42:21 faugn Exp $ */

/**
 * @file   XrmStyleLoader.hh
 * @date   12 Jul 2003
 *
 * @brief Style parser for old (waimea/box) styles.
 *
 */

#ifndef __XrmStyleLoader_hh
# define __XrmStyleLoader_hh

# include "Types.hh"

# include "StyleLoader.hh"

extern "C" {
# include <X11/Xresource.h>
}

class XrmStyleLoader: public StyleLoader
{
 public:
    XrmStyleLoader();
    virtual ~XrmStyleLoader();

    void loadStyle(KaScreen* screen);
protected:
    bool getValue(const std::string& name, std::string& value);

    XrmDatabase database;
};

#endif
